> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/produktion.md).

# Produktion

Streamline production processes in VARIO Cloud with API endpoints for producing, reverting, and managing fabrication orders and components.

Functions for processing fabrication documents.

## GET /erp/fabrication/{fabricationOrderId}/revert/{lineId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Produktion","description":"Functions for processing fabrication documents."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/fabrication/{fabricationOrderId}/revert/{lineId}":{"get":{"tags":["Produktion"],"operationId":"getDetailsForProductionReversalOfDocumentLine","parameters":[{"name":"fabricationOrderId","in":"path","description":"Fabrication document identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"lineId","in":"path","description":"Identifier of the line to produce.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-fabrication-DetailsForProductionReversal"}}}}}}}},"components":{"schemas":{"erp-fabrication-DetailsForProductionReversal":{"description":"Details for cancelling a line.","properties":{"documentId":{"type":"integer","format":"int64","description":"Document identifier."},"documentLineId":{"type":"integer","format":"int64","description":"Document line identifier."},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"producedQuantity":{"type":"number","description":"Quantity still to produce."},"producedSerialNumbers":{"type":"array","description":"Produced serial numbers.","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationProducedSerialNumber"}},"usedComponents":{"type":"array","description":"Installed components.","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationUsedComponent"}}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-fabrication-FabricationProducedSerialNumber":{"description":"Produced line serial number.","properties":{"articleSerialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Quantity."}}},"erp-product-ArticleSerialNumber":{"description":"Serial number.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Serial number 1.","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Serial number 2.","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Expiry date."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","description":"Ignore expiry date on stock booking","readOnly":true},"note":{"type":"string","description":"Note."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-fabrication-FabricationUsedComponent":{"description":"Installed components.","properties":{"documentLineComponentId":{"type":"integer","format":"int64","description":"Component identifier."},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Installed quantity."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]}}}}}}
```

## POST /erp/fabrication/{fabricationOrderId}/revert/{lineId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Produktion","description":"Functions for processing fabrication documents."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/fabrication/{fabricationOrderId}/revert/{lineId}":{"post":{"tags":["Produktion"],"operationId":"revertProducedArticle","parameters":[{"name":"fabricationOrderId","in":"path","description":"Fabrication document identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"lineId","in":"path","description":"Identifier of the line to cancel.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-fabrication-FabricationRevertRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-Document"}}}}}}}},"components":{"schemas":{"erp-fabrication-FabricationRevertRequest":{"description":"Details for cancelling the fabrication of a line.","properties":{"documentLineId":{"type":"integer","format":"int64","description":"Identifier of the line to cancel."},"quantity":{"type":"number","description":"Quantity to cancel."},"autoRevertComponents":{"type":"boolean","default":true,"description":"Cancel the material automatically."},"serialNumbers":{"type":"array","description":"Serial numbers to cancel.","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationSerialNumber"}},"componentsToRevert":{"type":"array","description":"Material to cancel.","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationComponentForProduction"}}},"required":["documentLineId","quantity"]},"erp-fabrication-FabricationSerialNumber":{"description":"Serial number to produce.","properties":{"quantity":{"type":"number","description":"Deviating quantity for lots."},"serialNumberId":{"type":"integer","format":"int64","description":"Identifier of the serial number to produce (only for the targeted production of serial numbers that are already defined)."},"serialNumber1":{"type":"string","description":"Serial number 1."},"serialNumber2":{"type":"string","description":"Serial number 2."},"expiryDate":{"type":"string","format":"date","description":"Best-before or expiry date."},"note":{"type":"string","description":"Note."}}},"erp-fabrication-FabricationComponentForProduction":{"description":"Material to use for the fabrication.","properties":{"serialNumberId":{"type":"integer","format":"int64","description":"Serial number to produce the component is used for."},"documentLineComponentId":{"type":"integer","format":"int64","description":"Component identifier."},"articleSerialNumberId":{"type":"integer","format":"int64","description":"Serial number identifier."},"quantity":{"type":"number","description":"Quantity to use."}},"required":["documentLineComponentId","quantity"]},"erp-document-Document":{"description":"document to update","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Document number.","maxLength":255,"minLength":0},"accountNumber":{"type":"string","description":"Account number of the associated organizational unit.","maxLength":255,"minLength":0,"readOnly":true},"customerNumber":{"type":"string","description":"Customer number.","maxLength":255,"minLength":0,"readOnly":true},"ourCustomerNumber":{"type":"string","description":"Customer number at the supplier.","maxLength":255,"minLength":0,"readOnly":true},"supplierNumber":{"type":"string","description":"Supplier number.","maxLength":255,"minLength":0,"readOnly":true},"salesAgentNumber":{"type":"string","description":"Sales agent number.","maxLength":255,"minLength":0,"readOnly":true},"externalIdentifier":{"type":"string","description":"External identifier.","maxLength":255,"minLength":0},"externalNumber":{"type":"string","description":"External document number.","maxLength":255,"minLength":0},"externalPaymentReference":{"type":"string","description":"Payment reference from an external system, e.g. the transaction id of the payment provider.","maxLength":255,"minLength":0},"published":{"type":"boolean","default":false,"description":"Is the document published (printed, sent by email)?","readOnly":true},"frozen":{"type":"boolean","default":false,"description":"Is the document frozen?","readOnly":true},"qualifier":{"type":"string","description":"Document qualifier.","enum":["SALE","PURCHASE","COMMISSION","SALES_CONTRACT","PURCHASE_CONTRACT","POINT_OF_SALE","FABRICATION","RMA"],"readOnly":true},"accountId":{"type":"string","description":"Organizational unit identifier."},"billingAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentDate":{"type":"string","format":"date","description":"Document date."},"performanceDate":{"type":"string","format":"date","description":"Performance date."},"valueDate":{"type":"string","format":"date","description":"Value date."},"taxable":{"type":"boolean","default":true,"description":"Taxable or tax free."},"taxIdentificationNumber":{"type":"string","description":"VAT identification number.","maxLength":255,"minLength":0},"taxIdVerificationState":{"type":"string","description":"Validation status of the tax identification number.","enum":["NOT_YET_VERIFIED","VALID","VALID_WITH_INVALID_ADDRESS","INVALID","NOT_NEEDED"],"readOnly":true},"valitoolValidationState":{"type":"string","description":"Validation status for electronic invoices.","enum":["NOT_VALIDATED","VALID","NOT_VALID"],"readOnly":true},"billingType":{"type":"string","description":"Billing type.","enum":["GROSS","NET"]},"documentType":{"type":"string","description":"Document type (internal).","readOnly":true},"documentTypeId":{"type":"integer","format":"int64","description":"Document type identifier.","readOnly":true},"documentTypeCategory":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"],"readOnly":true},"documentState":{"$ref":"#/components/schemas/erp-document-DocumentTypeState"},"cancellationReasonRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"currencyCode":{"type":"string","description":"Currency (ISO code, Alpha-3)."},"exchangeRate":{"type":"number","description":"Exchange rate."},"exchangeRateOrigin":{"type":"string","default":"AUTOMATIC","description":"Exchange rate determination origin.","enum":["AUTOMATIC","AUTOMATIC_FOR_CURRENT_DATE","USER_DEFINED"]},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"totalBeforeModifier":{"type":"number","description":"Total price before discount [gross, net].","readOnly":true},"totalPriceModifier":{"type":"number","description":"Total discount [gross, net].","readOnly":true},"totalLinePriceModifier":{"type":"number","description":"Total line discount [gross, net].","readOnly":true},"totalDocumentPriceModifier":{"type":"number","description":"Total document discount [gross, net].","readOnly":true},"totalNetPrice":{"type":"number","description":"Total price net.","readOnly":true},"totalVat":{"type":"number","description":"Total VAT.","readOnly":true},"totalGrossPrice":{"type":"number","description":"Total price gross.","readOnly":true},"roundingAmount":{"type":"number","description":"Final amount rounding: difference between the rounded gross amount and (net + VAT).","readOnly":true},"paymentTermRef":{"$ref":"#/components/schemas/erp-document-PaymentTermRef"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositPaymentAmount":{"type":"number","description":"Agreed deposit amount."},"depositPaymentDate":{"type":"string","format":"date","description":"Agreed deposit date.","readOnly":true},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryDate":{"type":"string","format":"date","description":"Expected delivery date."},"deliveryDateEnd":{"type":"string","format":"date","description":"Expected delivery end (only when the delivery date is set)."},"confirmedDeliveryDate":{"type":"string","format":"date","description":"Confirmed delivery date."},"confirmedDeliveryDateEnd":{"type":"string","format":"date","description":"Confirmed delivery end (only when the confirmed delivery date is set)."},"shippingDate":{"type":"string","format":"date","description":"Shipping date."},"deliveryQuantityPackages":{"type":"integer","format":"int32","description":"Expected number of parcels (information only)."},"deliveryText":{"type":"string","description":"Additional delivery text.","maxLength":255,"minLength":0},"deliveryApproved":{"type":"boolean","default":true,"description":"Is the document released for delivery?"},"dropShippingInvoiceApproved":{"type":"boolean","description":"Is the drop shipping document released for invoicing?","readOnly":true},"orderedOn":{"type":"string","format":"date","description":"Order date."},"orderedByPersonRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderedBy":{"type":"string","description":"Name of the ordering person.","maxLength":255,"minLength":0},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Is the reverse charge procedure under §13b UStG applied?"},"collectiveInvoice":{"type":"boolean","default":false,"description":"Is this a collective invoice?"},"texts":{"type":"array","description":"Document texts.","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"lines":{"type":"array","description":"Document lines.","items":{"$ref":"#/components/schemas/erp-document-DocumentLine"}},"shippingCosts":{"type":"array","description":"Shipping cost lines.","items":{"$ref":"#/components/schemas/erp-document-DocumentShippingCost"}},"posPayments":{"type":"array","description":"POS payment lines.","items":{"$ref":"#/components/schemas/erp-document-DocumentPosPayment"}},"shippingCostSum":{"type":"number","description":"Total of the shipping costs (net and gross).","readOnly":true},"priceModifiers":{"type":"array","description":"Price changes (e.g. discounts).","items":{"$ref":"#/components/schemas/erp-document-DocumentPriceModifier"}},"taxes":{"type":"array","description":"Document tax summary.","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"},"readOnly":true},"defaultAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"billingAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"deliveryAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"returnDeliveryAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"stackProcessingType":{"type":"string","description":"Batch processing information for orders.","enum":["NO_PICKING","ACCORDING_TO_CRITERIA","ONLY_FULL_ORDER","ONLY_FULL_ORDER_LINES","AVAILABLE_QUANTITIES","NO_PROCESSING","FULL_ORDER_LINES_MAX_TWO_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_TWO_PARTIAL_DELIVERIES","FULL_ORDER_LINES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_FINISH_ORDER"]},"stackProcessingPriority":{"type":"integer","format":"int32","description":"Priority in the batch processing."},"maxDeliveries":{"type":"integer","format":"int32","description":"Maximum possible deliveries."},"taxPerformanceLocation":{"type":"string","description":"Place of the taxable performance.","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"mainSupplyType":{"type":"string","description":"Predominant supply of a sales document (goods or services). Empty for all other documents. Only taken over from the request if mainSupplyTypeOrigin is USER_DEFINED, then it is required.","enum":["GOODS","SERVICES"]},"mainSupplyTypeOrigin":{"type":"string","default":"AUTOMATIC","description":"Origin of the main supply type. AUTOMATIC determines it from the document lines, PREDECESSOR takes over the value set by the user in the predecessor of a credit note or cancellation, USER_DEFINED keeps the value set by the user.","enum":["AUTOMATIC","PREDECESSOR","USER_DEFINED"]},"performanceCountryCode":{"type":"string","description":"Country code of the performance country (ISO Alpha-3)."},"sourceCountryCode":{"type":"string","description":"Country code of the country of origin (ISO Alpha-3)."},"afterPickingTargetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"grossWeight":{"type":"number","description":"Total gross weight."},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"userDefinedWeight":{"type":"boolean","default":false,"description":"The total weight was set manually."},"tags":{"type":"array","description":"Document tags.","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"reportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locationRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashDiscountableTotalGrossPrice":{"type":"number","description":"Total gross amount eligible for the payment discount.","readOnly":true},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentPosDetail"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentFabricationDetail"},"buyerReference":{"type":"string","description":"Leitweg-ID","maxLength":255,"minLength":0},"en16931Profile":{"type":"string","description":"EN16931 profile for electronic invoices.","enum":["ZUGFERD","XRECHNUNG","NO_EN_PROFILE"]},"importType":{"type":"string","description":"Document import mode.","enum":["NOT_IMPORTED","TRANSFERABLE","TRANSFERABLE_AND_EDITABLE","HISTORICAL_DATA","E_INVOICE","EXTERNALLY_CREATED"],"readOnly":true},"paymentPlan":{"type":"boolean","default":false,"description":"Is a payment plan present?"},"calculationMode":{"type":"string","description":"Calculation mode.","enum":["HORIZONTAL","VERTICAL"]},"processedByWorkflow":{"type":"boolean","description":"Is this processed by the workflow?","readOnly":true},"referencedOrderNumber":{"type":"string","description":"Order number from the predecessor document.","readOnly":true},"additionalInfo":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo"},"languageCode":{"type":"string","description":"Language."},"baseCurrencyCode":{"type":"string","description":"Document base currency."},"baseTotalNetPrice":{"type":"number","description":"Total price - net in base currency."},"baseTotalLinePriceModifier":{"type":"number","description":"Price adjustments - document line total, in base currency."},"baseTotalDocumentPriceModifier":{"type":"number","description":"Price adjustments - document, in base currency."},"baseTotalGrossPrice":{"type":"number","description":"Total price - gross in base currency."},"baseDepositPaymentAmount":{"type":"number","description":"Prepayment amount in base currency."},"baseCashDiscountableTotalGrossPrice":{"type":"number","description":"Invoice amount eligible for the payment discount in base currency."},"forwardEmailToShipper":{"type":"boolean","default":false,"description":"Pass the email to the shipper."},"forwardPhoneToShipper":{"type":"boolean","default":false,"description":"Pass the phone number to the shipper."},"posReceiptPaymentSum":{"type":"number","description":"Receipt: total payment amount."},"posReceiptBalance":{"type":"number","description":"Receipt: balance.\nA positive value is the amount still to be paid.\nA negative value is the overpaid amount or change.\n"},"posReceiptChangeAmount":{"type":"number","description":"Change."},"posReceiptBalanced":{"type":"boolean","default":false,"description":"Is the receipt balanced, i.e. paid with no change?\nTrue when the receipt is balanced.\n"},"posReceiptPayed":{"type":"boolean","default":false,"description":"Is the receipt paid?\nTrue when the receipt is paid.\n"},"dropShipping":{"type":"boolean","description":"Drop shipping.","readOnly":true},"totalGrossVolumeInCubicMeters":{"type":"number","description":"total gross Volume in cubic meters","readOnly":true}},"required":["accountId","billingType","calculationMode","currencyCode","defaultAddress","deliveryApproved","documentDate","number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-document-DocumentTypeState":{"description":"Document state instance.","properties":{"label":{"type":"string","description":"label/name of this state","minLength":1},"key":{"type":"string","description":"unique key for this state"},"definition":{"type":"string","description":"additional state information","enum":["SELECTABLE_TYPES","EDITABLE","DELETED"]}},"required":["key","label"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"erp-document-PaymentTermRef":{"description":"Reference to a PaymentTerm flagged as deposit or prepayment.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true},"paymentType":{"type":"string","description":"payment type","enum":["PREPAYMENT","PAYMENT","DEPOSIT"]}},"required":["id","paymentType"]},"erp-document-DocumentText":{"description":"Texts.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"textPosition":{"type":"string","default":"HEADER_TEXT","description":"position relative to the product line OR Document. For usage within text-line, this position is irrelevant","enum":["HEADER_TEXT","FOOTER_TEXT"]},"content":{"type":"string","description":"if this attribute is used, the text is used as free-text"},"textTemplateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"transferableIntoSubsequentDocuments":{"type":"boolean","default":true,"description":"Does this text remain after transfer into a subsequent document"},"deleted":{"type":"boolean","default":false,"description":"Removed and should therefore no longer be shown."},"initialized":{"type":"boolean","description":"Is the content filled?","readOnly":true}},"required":["deleted"]},"erp-document-DocumentLine":{"description":"Document lines.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"position":{"type":"integer","format":"int32","description":"Position number.","readOnly":true},"positionOfArticleLine":{"type":"integer","format":"int32","description":"Position number across all article lines.","readOnly":true},"articleId":{"type":"string","description":"Article."},"lineType":{"type":"string","description":"Line type.","enum":["ARTICLE_LINE","ALTERNATIVE_POSITION","LINK_POSITION","OPTIONAL_POSITION","TEXT_LINE","SHIPPING_COST_LINE","SUBTOTAL","POS","ROUNDING_LINE","OPEN_ITEM_SETTLEMENT","ON_ACCOUNT_PAYMENT","VOUCHER_SALE","VOUCHER_REDEMPTION"]},"productType":{"type":"string","description":"Article types.","enum":["WITH_STOCK","WITHOUT_STOCK","SERVICE_ARTICLE","SERVICE_CONTINGENT","ASSEMBLY_GROUP","JUMBO","SHIPPING_COSTS","VARIANT_MAIN_ARTICLE"]},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"number":{"type":"string","description":"Article number.","maxLength":255,"minLength":0},"name":{"type":"string","description":"Article name.","maxLength":255,"minLength":0},"description":{"type":"string","description":"Article description.","maxLength":2147483647,"minLength":0},"unitType":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"price":{"type":"number","description":"Price per quantity [gross, net]."},"priceUnit":{"type":"number","description":"Price unit."},"priceOrigin":{"type":"string","description":"Price origin.","enum":["USER_DEFINED","PRODUCT","PREDECESSOR_DOCUMENT","PICKLIST"],"readOnly":true},"priceSelectionCriteria":{"$ref":"#/components/schemas/erp-product-PriceSelectionCriteria"},"quantity":{"type":"number","description":"Quantity."},"quantityCommitted":{"type":"number","description":"Processed quantity.","readOnly":true},"pickingQuantity":{"type":"number","description":"Quantity in the picking process.","readOnly":true},"preOrderPickedQuantity":{"type":"number","description":"Pre-ordered quantity in the picking process.","readOnly":true},"complete":{"type":"boolean","default":false,"description":"Is this line completely processed?","readOnly":true},"taxSchemaRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxes":{"type":"array","description":"Taxes.","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"}},"totalLinePriceModifier":{"type":"number","description":"Total of the line price changes [gross, net].","readOnly":true},"totalDocumentPriceModifier":{"type":"number","description":"Total of the document price changes [gross, net].","readOnly":true},"priceModifiers":{"type":"array","description":"Applied price changes.","items":{"$ref":"#/components/schemas/erp-document-DocumentPriceModifier"}},"salesValueNet":{"type":"number","description":"Net total price (after the price changes).","readOnly":true},"vat":{"type":"number","description":"Tax amount.","readOnly":true},"totalLinePrice":{"type":"number","description":"Line total [gross, net], i.e. price * quantity less the line discounts.","readOnly":true},"texts":{"type":"array","description":"Line texts.","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"shippingCostDetail":{"$ref":"#/components/schemas/erp-document-RequestDocumentLineShippingCostDetail"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"country":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"countryRegion":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":15,"minLength":0},"deliveryDate":{"type":"string","format":"date","description":"Delivery date."},"deliveryDateEnd":{"type":"string","format":"date","description":"Expected delivery period end (only required for delivery periods when the delivery date is set)."},"confirmedDeliveryDate":{"type":"string","format":"date","description":"Confirmed delivery date."},"confirmedDeliveryDateEnd":{"type":"string","format":"date","description":"Confirmed delivery period end (only required for delivery periods when the delivery date is set)."},"shippingDate":{"type":"string","format":"date","description":"Shipping date."},"deliveryText":{"type":"string","description":"Delivery text.","maxLength":255,"minLength":0},"packageOptions":{"type":"string","description":"Shipper-specific information."},"externalReferenceVds":{"type":"string","description":"External reference to the VDS parcel.","maxLength":255,"minLength":0},"externalArticleNumber":{"type":"string","description":"External article number.","maxLength":255,"minLength":0,"readOnly":true},"externalArticleName":{"type":"string","description":"External article name.","maxLength":255,"minLength":0,"readOnly":true},"externalArticleDescription":{"type":"string","description":"External article description.","maxLength":255,"minLength":0,"readOnly":true},"netWeight":{"type":"number","description":"Net weight."},"totalNetWeight":{"type":"number","description":"Total net weight."},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossWeight":{"type":"number","description":"Gross weight."},"totalGrossWeight":{"type":"number","description":"Total gross weight."},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"capacity":{"type":"number","description":"Unit of measure content."},"capacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"baseCapacity":{"type":"number","description":"Base unit content."},"baseCapacityUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"sourceLineRef":{"$ref":"#/components/schemas/erp-document-DocumentLineRef"},"baseLineId":{"type":"integer","format":"int64","description":"Reference to the base line."},"mainArticleLineRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"settledOpenItemRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"voucherTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"voucherRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"voucherCode":{"type":"string","description":"Scanned code of the preprinted voucher card (VOUCHER_SALE of a voucher type with scanned codes only)"},"settledOpenItemBalance":{"type":"number","description":"Open remaining amount of the open item to settle (only in the response)."},"settledOpenItemPaymentDueDate":{"type":"string","format":"date","description":"Due date of the open item to settle (only in the response)."},"settledOpenItemDiscountAmount":{"type":"number","description":"Payment discount of the open item to settle that is applicable at the document date (only in the response)."},"settledOpenItemComment":{"type":"string","description":"Note on the open item line - transferred into the open item comment on closing."},"customerOrderLineRef":{"$ref":"#/components/schemas/erp-document-DocumentLineRef"},"supplierOrderLineIds":{"type":"array","description":"Reference to the supplier order line.","items":{"type":"integer","format":"int64","description":"Reference to the supplier order line."}},"storage":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"components":{"type":"array","description":"Components.","items":{"$ref":"#/components/schemas/erp-document-DocumentLineComponent"}},"fabricationComponents":{"type":"array","description":"Components.","items":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationComponent"}},"bookings":{"type":"array","description":"Bookings.","items":{"$ref":"#/components/schemas/erp-document-DocumentLineBooking"}},"commissions":{"type":"array","description":"Commissions.","items":{"$ref":"#/components/schemas/erp-document-DocumentLineCommission"}},"previousDecisions":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"articleTaxLiabilityReversed":{"type":"boolean","default":false,"description":"§13b UStG preset of the article.","readOnly":true},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Is §13b UStG applied?","readOnly":true},"presetPrice":{"type":"number","description":"Preset value for the price calculation.","readOnly":true},"calculationData":{"type":"string","description":"Calculation structure."},"revenueCalculation":{"$ref":"#/components/schemas/erp-document-RevenueCalculation"},"commissionOrigin":{"type":"string","description":"Commission origin.","enum":["NOT_COMMISSIONABLE","USER_DEFINED","AUTOMATIC","PREDECESSOR","RECALCULATE"]},"cashDiscountable":{"type":"boolean","default":true,"description":"Is this line eligible for the payment discount?"},"discountable":{"type":"boolean","default":true,"description":"Is this line eligible for discount?"},"commissionable":{"type":"boolean","default":false,"description":"Is this line eligible for commission?"},"warrantyInMonths":{"type":"integer","format":"int32","description":"Warranty in months."},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentLinePosDetail"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationDetail"},"returnDetail":{"$ref":"#/components/schemas/erp-document-DocumentLineReturnDetail"},"financeBooking":{"$ref":"#/components/schemas/erp-document-DocumentFinanceBooking"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"variantValues":{"type":"array","description":"Product variant values.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true},"performanceDate":{"type":"string","format":"date","description":"Performance date."},"basePrice":{"type":"number","description":"Price per unit in base currency."},"baseTotalLinePriceModifier":{"type":"number","description":"Price adjustments - line, in base currency."},"baseTotalDocumentPriceModifier":{"type":"number","description":"Price adjustments - proportionally from the document, in base currency."},"baseTotalLinePrice":{"type":"number","description":"Total line price in base currency."},"baseSalesValueNet":{"type":"number","description":"Line net sales value in base currency."},"progressInvoice":{"type":"boolean","default":false,"description":"Is this a progress invoice line?"},"dropShippingPolicy":{"type":"string","description":"Defines whether and how an article may be sold by drop shipping.","enum":["ANY","DROP_SHIPPING","STORAGE","STORAGE_WITH_FALLBACK_TO_DROP_SHIPPING"]},"unitGrossVolumeInCubicMeters":{"type":"number","description":"unit gross Volume in cubic meters"},"totalGrossVolumeInCubicMeters":{"type":"number","description":"unit gross Volume in cubic meters","readOnly":true},"convertedIntoBundleArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"onGoodsArrivalConvertIntoBundleArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"insertTerm":{"type":"string","description":"Accessory insert term.","enum":["MANUAL","AUTOMATIC_QUANTITY_IF_ACCESSORY_INSERTED","AUTOMATIC_PROPORTIONAL_QUANTITY","AUTOMATIC_FIXED_QUANTITY"]},"hasAccessories":{"type":"boolean","default":false,"description":"Does the article have accessories?"},"recalcLinePriceViaComponents":{"type":"boolean","default":false,"description":"Should the DocumentLine be recalculated from the components?"},"doPrintLabel":{"type":"boolean","default":false,"description":"Should labels be printed for this line?"},"storageInfo":{"type":"string","description":"picking hint","maxLength":2147483647,"minLength":0}},"required":["lineType"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"erp-product-PriceSelectionCriteria":{"description":"Price determination criteria.","properties":{"qualifier":{"type":"string","description":"Qualifier.","enum":["SALES","PURCHASE"]},"articleIds":{"type":"array","description":"Article identifiers.","items":{"type":"integer","format":"int64","description":"Article identifiers."}},"selectOnlyDefaultPrice":{"type":"boolean","default":false,"description":"Should only the default price be selected?"},"accountIds":{"type":"array","description":"Account identifiers.","items":{"type":"integer","format":"int64","description":"Account identifiers."}},"productGroupId":{"type":"integer","format":"int64","description":"Product group."},"priceGroupId":{"type":"integer","format":"int64","description":"Price group."},"date":{"type":"string","format":"date","description":"Date."},"quantity":{"type":"number","description":"Quantity."},"noteSpecialOfferPrice":{"type":"boolean","description":"Consider the special offer price?"}}},"erp-document-DocumentTax":{"description":"Document tax summary.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"taxRateRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"taxableAmount":{"type":"number","description":"taxable amount"},"taxValue":{"type":"number","description":"tax value"},"grossAmount":{"type":"number","description":"gross amount"},"taxType":{"type":"string","description":"Tax type.","enum":["VAT"]},"taxFree":{"type":"boolean","default":false,"description":"Is this tax free?"},"baseTaxableAmount":{"type":"number","description":"Taxable amount in base currency."},"baseTaxValue":{"type":"number","description":"Tax amount in base currency."},"baseGrossAmount":{"type":"number","description":"Gross amount in base currency."}}},"erp-document-DocumentPriceModifier":{"description":"Price changes (e.g. discounts).","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name of modifier"},"valueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"value":{"type":"number","description":"Value","minimum":0},"calculatedValue":{"type":"number","description":"calculated discount/surcharge"},"sourceType":{"type":"string","description":"Source of price modifier","enum":["CUSTOM","PRODUCT","DISCOUNT_GROUP","PREDECESSOR_DOCUMENT"]},"sourceId":{"type":"integer","format":"int64","description":"ID of Source entity of price modifier"},"modifierType":{"type":"string","description":"modifierType","enum":["DISCOUNT","SURCHARGE"]},"baseValue":{"type":"number","description":"Modifier value in base currency.","minimum":0},"baseCalculatedValue":{"type":"number","description":"Calculated modifier value in base currency."}},"required":["modifierType","value","valueType"]},"erp-document-RequestDocumentLineShippingCostDetail":{"description":"Shipping cost details; only set for shipping cost lines that are kept as a numbered document line (e.g. in a collective invoice).","properties":{"manualCosts":{"type":"boolean","default":false,"description":"Were the shipping costs entered manually?"},"freeShipping":{"type":"boolean","default":false,"description":"No shipping costs (free shipping)."},"purchasePrice":{"type":"number","description":"Purchase price in base currency."}}},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"erp-document-DocumentLineRef":{"description":"Reference to a DocumentLine.","properties":{"id":{"type":"integer","format":"int64","description":"Document line identifier."},"documentId":{"type":"integer","format":"int64","description":"Document identifier."},"category":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Document type."},"documentState":{"type":"string","description":"Document state."},"number":{"type":"string","description":"Document number."},"articleNumber":{"type":"string","description":"Article number."},"position":{"type":"integer","format":"int32","description":"Position number."},"name":{"type":"string","description":"Article name.","maxLength":2147483647,"minLength":0},"quantity":{"type":"number","description":"quantity"},"price":{"type":"number","description":"price per quantity [GROSS, NET]"},"displayName":{"type":"string","description":"Customer short label."}},"required":["id"]},"erp-document-DocumentLineComponent":{"description":"Components.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleId":{"type":"string","description":"Reference to the component article."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"],"readOnly":true},"quantity":{"type":"number","description":"Quantity."},"price":{"type":"number","description":"Unit price."},"quantityCommitted":{"type":"number","description":"Delivered quantity."},"pickingQuantity":{"type":"number","description":"Quantity in picking."},"quantityPerAssemblyGroup":{"type":"number","description":"Quantity per assembly."},"name":{"type":"string","description":"Article name.","maxLength":255,"minLength":0},"description":{"type":"string","description":"Article description.","maxLength":2048,"minLength":0},"position":{"type":"integer","format":"int32","description":"Component position in the assembly."},"sourceDocumentLineComponentId":{"type":"integer","format":"int64","description":"Reference to the component in the source Document."},"bookings":{"type":"array","description":"Bookings for this component.","items":{"$ref":"#/components/schemas/erp-document-DocumentLineBooking"}},"texts":{"type":"array","description":"Component texts.","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineComponentFabricationDetail"}},"required":["quantity"]},"erp-document-DocumentLineBooking":{"description":"Bookings.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"storageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"quantity":{"type":"number","description":"Booked quantity."},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Serial number 1.","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Serial number 2.","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Expiry date."},"note":{"type":"string","description":"Note."},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"},"batchSelectedAutomatically":{"type":"boolean","description":"Was the batch selected automatically at the POS by the earliest best before date?","readOnly":true}},"required":["quantity","storageBinRef"]},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-fabrication-DocumentLineComponentFabricationDetail":{"description":"Component fabrication details.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"serialInheritanceComponent":{"type":"boolean","default":false,"description":"Use for the serial number inheritance."},"deviatingUnitPrice":{"type":"number","description":"Deviating production costs."},"sourceBundleArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"erp-product-ProductArticleRef":{"description":"All articles belonging to this product.","properties":{"id":{"type":"integer","format":"int64","description":"Article identifier."},"number":{"type":"string","description":"Article number"},"name":{"type":"string","description":"Label."},"description":{"type":"string","description":"Description."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]},"unit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"}},"required":["unit"]},"erp-fabrication-DocumentLineFabricationComponent":{"description":"Document line component of a fabrication article in customer offers and customer orders.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"position":{"type":"integer","format":"int32","description":"Position."},"componentArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"sourceBundleArticleRef":{"$ref":"#/components/schemas/erp-product-ProductArticleRef"},"quantity":{"type":"number","description":"Quantity."},"deviatingUnitRef":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"deviatingUnitPrice":{"type":"number","description":"Deviating production costs."},"forSerialInheritance":{"type":"boolean","default":false,"description":"Basis for inheriting the serial number."},"name":{"type":"string","description":"Label.","maxLength":255,"minLength":0},"description":{"type":"string","description":"Description.","maxLength":2147483647,"minLength":0}},"required":["componentArticleRef","quantity"]},"erp-document-DocumentLineCommission":{"description":"Commissions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salesAgentAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"description":{"type":"string","description":"Description."},"comment":{"type":"string","description":"Comment."},"valueType":{"type":"string","description":"Value type.","enum":["PERCENT","FIX"]},"value":{"type":"number","description":"Commission percentage or value."},"origin":{"type":"string","description":"Origin.","enum":["NOT_COMMISSIONABLE","USER_DEFINED","AUTOMATIC","PREDECESSOR","RECALCULATE"]},"valueCurrencyCode":{"type":"string","description":"the currency-code IsoAlpha3"}},"required":["origin","salesAgentAccountRef","value","valueType"]},"erp-document-RevenueCalculation":{"description":"Gross profit determination.","properties":{"productPurchasePrice":{"type":"number","description":"Purchase price.","readOnly":true},"salesValue":{"type":"number","description":"Net revenue.","readOnly":true},"revenue":{"type":"number","description":"Contribution margin (absolute).","readOnly":true},"revenueInPercent":{"type":"number","description":"Contribution margin (percent).","readOnly":true}}},"erp-document-DocumentContractDetail":{"description":"Contract details.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"startDate":{"type":"string","format":"date","description":"Contract start (header only)."},"endDate":{"type":"string","format":"date","description":"Contract end (header only)."},"runtimeFromDate":{"type":"string","format":"date","description":"Term from."},"runtimeToDate":{"type":"string","format":"date","description":"Term until."},"lastCustomerCancellationDate":{"type":"string","format":"date","description":"Latest possible termination date for the customer."},"lastProviderCancellationDate":{"type":"string","format":"date","description":"Latest possible termination date for the provider."},"dueDateCalculation":{"type":"string","description":"Cron expression for calculating the due date.","minLength":1},"dueDate":{"type":"string","format":"date","description":"Due date."},"nextDueDate":{"type":"string","format":"date","description":"Next due date."},"calculateDirectly":{"type":"boolean","description":"Bill immediately?"},"active":{"type":"boolean","default":true,"description":"Is the contract active?"},"publishInPortal":{"type":"boolean","default":false,"description":"Show in the portal?"}},"required":["dueDateCalculation"]},"erp-document-DocumentLinePosDetail":{"description":"POS information.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"posLineType":{"type":"string","description":"Line type.","enum":["CASH_PAYMENT","CASH_CHANGE","CARD_PAYMENT","VOUCHER_PAYMENT","CASH_START_BALANCE","CASH_FINAL_BALANCE","CASH_DEPOSIT","CASH_EXPENSE","CASH_WITHDRAWAL"]},"depositExpenseTypeId":{"type":"integer","format":"int64","description":"Deposit or expense type."},"paymentMethodId":{"type":"integer","format":"int64","description":"Payment method."},"externalPaymentId":{"type":"string","description":"External payment identifier for the connection to the payment backend."},"externalPaymentStatus":{"type":"string","description":"External payment status.","enum":["PENDING","PROCESSING","SUCCESSFUL","CANCELLED","REJECTED"]},"externalPaymentErrorMessage":{"type":"string","description":"Error message from the payment backend (only for a failed payment)."},"paymentOperation":{"type":"string","description":"Payment operation type (PAYMENT, CANCEL, REFUND).","enum":["PAYMENT","CANCEL","REFUND"]},"cancelledExternalPaymentId":{"type":"string","description":"External payment identifier of the payment to cancel (only for CANCEL)."},"withdrawalMode":{"type":"string","description":"Mode for the withdrawal of a POS payment method at the cash closing.","enum":["FULL","BALANCE","MANUAL","NONE"],"readOnly":true},"balanceBeforeWithdrawal":{"type":"number","description":"Payment method balance before the withdrawal.","readOnly":true},"withdrawalAmount":{"type":"number","description":"Withdrawal amount (mode MANUAL).","readOnly":true},"withdrawToBalance":{"type":"number","description":"Withdrawal to amount (mode BALANCE) — remaining amount that stays in the POS register.","readOnly":true},"deletable":{"type":"boolean","default":false,"description":"Can this payment line be removed from the document? False while the payment is still running or has already been executed successfully.","readOnly":true}}},"erp-fabrication-DocumentLineFabricationDetail":{"description":"Line fabrication details.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"serialNumbers":{"type":"array","description":"Produced serial numbers.","items":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationDetailSerialNumber"}},"quantityCommitted":{"type":"number","description":"Quantity produced."},"quantityInQA":{"type":"number","description":"Quantity in quality assurance."},"quantityDefective":{"type":"number","description":"Quantity defective."},"quantityFinished":{"type":"number","description":"Quantity completed."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"erp-fabrication-DocumentLineFabricationDetailSerialNumber":{"description":"Produced line serial numbers.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Produced or planned quantity."},"quantityCommitted":{"type":"number","description":"Actually produced quantity."},"quantityInQA":{"type":"number","description":"Quantity in quality assurance."},"quantityDefective":{"type":"number","description":"Quantity defective."},"quantityFinished":{"type":"number","description":"Quantity completed."},"bookedComponents":{"type":"array","description":"Booked components.","items":{"$ref":"#/components/schemas/erp-fabrication-DocumentLineFabricationBookedComponent"}}},"required":["quantity","quantityCommitted","serialNumber"]},"erp-product-ArticleSerialNumber":{"description":"Serial number.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Serial number 1.","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Serial number 2.","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Expiry date."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","description":"Ignore expiry date on stock booking","readOnly":true},"note":{"type":"string","description":"Note."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"erp-fabrication-DocumentLineFabricationBookedComponent":{"description":"Booked components of a produced serial number.","properties":{"articleId":{"type":"integer","format":"int64","description":"Article identifier."},"number":{"type":"string","description":"Article number."},"name":{"type":"string","description":"Article name."},"description":{"type":"string","description":"Article description."},"quantity":{"type":"number","description":"Quantity used."},"serialNumberRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-document-DocumentLineReturnDetail":{"description":"Document line return details.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"returnCategory":{"type":"string","description":"Return category.","enum":["MONETARY_COMPENSATION_ITEM_STAYS_WITH_CUSTOMER","MONETARY_COMPENSATION_ITEM_GETS_SEND_BACK","GOODS_EXCHANGE_ITEM_STAYS_WITH_CUSTOMER","GOODS_EXCHANGE_ITEM_GETS_SEND_BACK","UNDECIDED"]},"goodsExchangeArticleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"waitForReturnBeforeExchange":{"type":"boolean","description":"Wait for the return before the goods replacement (only for GOODS_EXCHANGE_ITEM_GETS_SEND_BACK)?"},"repairRequested":{"type":"boolean","description":"Is a repair requested (only for GOODS_EXCHANGE_ITEM_GETS_SEND_BACK)?"},"warrantyExchange":{"type":"boolean","description":"Is this a warranty exchange (only for *_ITEM_GETS_SEND_BACK)?"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"replacementDeliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"replacementDeliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"returnCauseRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"customerShareOnSurcharge":{"type":"number","description":"Customer share of a surcharge in percent (0-100). How much % of the surcharge does the customer pay?"},"customerShareOnReduction":{"type":"number","description":"Customer share of a price reduction in percent (0-100). How much % of the saving is credited to the customer?"}}},"erp-document-DocumentFinanceBooking":{"description":"Finance booking.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"documentLineId":{"type":"integer","format":"int64","description":"Document line identifier."},"ledgerNumber":{"type":"string","description":"Finance account number."},"transactionKey":{"type":"string","description":"Transaction key."},"costCenter1":{"type":"string","description":"Cost center."},"comment":{"type":"string","description":"Comment."},"description":{"type":"string","description":"Booking text."}}},"erp-document-DocumentShippingCost":{"description":"Shipping costs in the document.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"costs":{"type":"number","description":"Shipping costs."},"manualCosts":{"type":"boolean","default":false,"description":"Were the shipping costs entered manually?"},"freeShipping":{"type":"boolean","default":false,"description":"No shipping costs (free shipping)."},"name":{"type":"string","description":"Article name."},"description":{"type":"string","description":"Article description."},"texts":{"type":"array","description":"Texts.","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"taxes":{"type":"array","description":"Taxes.","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"}},"purchasePrice":{"type":"number","description":"Purchase price."},"discountable":{"type":"boolean","description":"Is this eligible for discount?"},"cashDiscountable":{"type":"boolean","description":"Is this eligible for the payment discount?"}}},"erp-document-DocumentPosPayment":{"description":"POS payment in the document.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"amount":{"type":"number","description":"Amount."},"posLineType":{"type":"string","description":"Line type.","enum":["CASH_PAYMENT","CASH_CHANGE","CARD_PAYMENT","VOUCHER_PAYMENT","CASH_START_BALANCE","CASH_FINAL_BALANCE","CASH_DEPOSIT","CASH_EXPENSE","CASH_WITHDRAWAL"]},"depositExpenseTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"posPaymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"voucherRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"voucherTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"externalPaymentId":{"type":"string","description":"External payment identifier for the connection to the payment backend.","readOnly":true},"externalPaymentStatus":{"type":"string","description":"External payment status.","enum":["PENDING","PROCESSING","SUCCESSFUL","CANCELLED","REJECTED"],"readOnly":true},"externalPaymentErrorMessage":{"type":"string","description":"Error message from the payment backend (only for a failed payment).","readOnly":true},"paymentOperation":{"type":"string","description":"Payment operation type (PAYMENT, CANCEL, REFUND).","enum":["PAYMENT","CANCEL","REFUND"],"readOnly":true},"cancelledExternalPaymentId":{"type":"string","description":"External payment identifier of the payment to cancel (only for CANCEL).","readOnly":true},"withdrawalMode":{"type":"string","description":"Mode for the withdrawal of a POS payment method at the cash closing.","enum":["FULL","BALANCE","MANUAL","NONE"]},"balanceBeforeWithdrawal":{"type":"number","description":"Payment method balance before the withdrawal (set by the backend).","readOnly":true},"withdrawalAmount":{"type":"number","description":"Withdrawal amount; in mode MANUAL provided by the user, in modes FULL/BALANCE/NONE calculated by the backend from the current balance."},"withdrawToBalance":{"type":"number","description":"Withdrawal to amount (mode BALANCE) — remaining amount that stays in the POS register."},"deletable":{"type":"boolean","default":false,"description":"Can this payment line be removed from the document? False while the payment is still running or has already been executed successfully.","readOnly":true}},"required":["amount","posLineType"]},"erp-document-DocumentAddress":{"description":"Return delivery address.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salutation":{"type":"string","description":"salutation for this address"},"title":{"type":"string","description":"Title."},"name1":{"type":"string","description":"address line 1"},"name2":{"type":"string","description":"address line 2"},"name3":{"type":"string","description":"address line 3"},"globalLocationNumber":{"type":"string","description":"GLN"},"street":{"type":"string","description":"Street"},"streetAddressNumber":{"type":"string","description":"Street address number"},"additionalAddressLine1":{"type":"string","description":"Additional address line1"},"additionalAddressLine2":{"type":"string","description":"Additional address line2"},"city":{"type":"string","description":"city"},"regionRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"postcode":{"type":"string","description":"Postcode"},"postOfficeBox":{"type":"string","description":"Post office box"},"countryCode":{"type":"string","description":"country code IsoAlpha3"},"phoneContact":{"type":"string","description":"Phone contact"},"mailContact":{"type":"string","description":"Mail contact"},"languageCode":{"type":"string","description":"Language Code"},"paymentTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"erp-document-DocumentPosDetail":{"description":"Receipt details.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"posRegisterRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashDrawerRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashJournalRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"fiscalizationBackendRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"tssSignature":{"$ref":"#/components/schemas/erp-pos-TssSignature"},"externalReference":{"type":"string","description":"External reference.","readOnly":true},"timeStart":{"type":"integer","format":"int64","description":"Transaction start time."},"timeEnd":{"type":"integer","format":"int64","description":"Transaction end time."},"clientSerialNumber":{"type":"string","description":"Client serial number."},"tssSerialNumber":{"type":"string","description":"TSS serial number."},"transactionNumber":{"type":"integer","format":"int64","description":"Transaction number."},"revision":{"type":"integer","format":"int32","description":"Revision"},"signatureCounter":{"type":"integer","format":"int64","description":"Signature counter."},"signature":{"type":"string","description":"Signature."},"withdrawalFromClosing":{"type":"boolean","default":false,"description":"Was this cash withdrawal created by the cash closing? Such a withdrawal cannot be cancelled on its own.","readOnly":true}}},"erp-pos-TssSignature":{"description":"TSS signature.","properties":{"status":{"type":"string","description":"Signing status.","enum":["FINISHED","ACTIVE","CANCELLED","ERROR"],"readOnly":true},"responseData":{"type":"string","description":"TSS response data.","readOnly":true},"externalReference":{"type":"string","description":"External reference.","readOnly":true},"revision":{"type":"integer","format":"int32","description":"Revision","readOnly":true}}},"erp-fabrication-DocumentFabricationDetail":{"description":"Fabrication details.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"startDate":{"type":"string","format":"date","description":"Start date."},"minimumDegreeOfFulfillment":{"type":"integer","format":"int32","description":"Minimum degree of fulfillment.","maximum":100,"minimum":0},"note":{"type":"string","description":"Note.","maxLength":2147483647,"minLength":0},"componentsStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"workbenchStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"workbenchStorageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"qualityAssuranceStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"qualityAssuranceStorageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defectiveStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defectiveStorageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorageBinRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"erp-document-DocumentAdditionalInfo":{"description":"Additional information about decisions in the document context.","properties":{"calculationModeOrigin":{"type":"string","description":"Calculation mode origin.","enum":["FROM_BILLING_ADDRESS","FROM_DEFAULT_ADDRESS","FROM_ACCOUNT","FROM_SALES_CHANNEL","FROM_DOCUMENT_PARAMS","USER_DEFINED"],"readOnly":true},"roundingMode":{"type":"string","description":"Active rounding mode for this document (frozen from the SalesChannel).","enum":["NONE","SWITZERLAND"],"readOnly":true},"en16931Origin":{"type":"string","description":"Electronic invoice profile origin.","enum":["FROM_BILLING_ADDRESS","FROM_DEFAULT_ADDRESS","FROM_ACCOUNT_PARAMS","USER_DEFINED"],"readOnly":true},"buyerReferenceOrigin":{"type":"string","description":"Buyer reference origin.","enum":["FROM_BILLING_ADDRESS","FROM_DEFAULT_ADDRESS","USER_DEFINED"],"readOnly":true},"previousDecisions":{"type":"string","description":"Contains the results of previous user decisions on this Document.","readOnly":true},"taxSituationOrigin":{"type":"string","description":"Tax situation origin.","enum":["UNDEFINED","USER_DEFINED","FROM_CUSTOMER","FROM_SUPPLIER","FROM_SALES_AGENT","FROM_DELIVERY_ADDRESS","FROM_DEFAULT_ADDRESS","FROM_OWN_ADDRESS","FROM_TAX_ID"]},"languageCodeOrigin":{"type":"string","description":"Language origin.","enum":["FROM_DELIVERY_ADDRESS","FROM_BILLING_ADDRESS","FROM_DEFAULT_ADDRESS","FROM_RETURN_DELIVERY_ADDRESS","FROM_MY_COMPANY"]},"contextParameters":{"type":"array","description":"Parameters used in the {@link DocumentContext}.","items":{"$ref":"#/components/schemas/common-api-AdditionalParameter"}},"incomingGoodsTarget":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo.IncomingGoodsTarget"},"translations":{"type":"array","description":"Translations.","items":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo.PrintedTranslatedField"}},"incomingGoodsTargetsPerLine":{"type":"array","description":"Targets for the incoming goods per document line.","items":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo.IncomingGoodsTargetOfLine"}}}},"common-api-AdditionalParameter":{"description":"Additional parameters.","properties":{"key":{"type":"string","description":"key for this parameter"},"value":{"type":"object","description":"value for this parameter"}},"required":["key"]},"erp-document-DocumentAdditionalInfo.IncomingGoodsTarget":{"description":"Targets for the incoming goods.","properties":{"storageBinId":{"type":"integer","format":"int64","description":"Storage bin for the incoming goods."},"pickTrolleyId":{"type":"integer","format":"int64","description":"Pick trolley for the incoming goods."}}},"erp-document-DocumentAdditionalInfo.PrintedTranslatedField":{"description":"Translations.","properties":{"entityName":{"type":"string","description":"For which entity?"},"fieldName":{"type":"string","description":"Field name."},"content":{"type":"string","description":"Translation."}}},"erp-document-DocumentAdditionalInfo.IncomingGoodsTargetOfLine":{"description":"Targets for the incoming goods.","properties":{"storageBinId":{"type":"integer","format":"int64","description":"Storage bin for the incoming goods."},"pickTrolleyId":{"type":"integer","format":"int64","description":"Pick trolley for the incoming goods."},"lineId":{"type":"integer","format":"int64","description":"Document line identifier."},"sourceLineId":{"type":"integer","format":"int64","description":"Predecessor document line identifier."}}}}}}
```

## GET /erp/fabrication/{fabricationOrderId}/revert-all

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Produktion","description":"Functions for processing fabrication documents."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/fabrication/{fabricationOrderId}/revert-all":{"get":{"tags":["Produktion"],"operationId":"getDetailsForProductionReversalOfDocument","parameters":[{"name":"fabricationOrderId","in":"path","description":"Fabrication document identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-fabrication-DetailsForProductionReversal"}}}}}}}}},"components":{"schemas":{"erp-fabrication-DetailsForProductionReversal":{"description":"Details for cancelling a line.","properties":{"documentId":{"type":"integer","format":"int64","description":"Document identifier."},"documentLineId":{"type":"integer","format":"int64","description":"Document line identifier."},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"producedQuantity":{"type":"number","description":"Quantity still to produce."},"producedSerialNumbers":{"type":"array","description":"Produced serial numbers.","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationProducedSerialNumber"}},"usedComponents":{"type":"array","description":"Installed components.","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationUsedComponent"}}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-fabrication-FabricationProducedSerialNumber":{"description":"Produced line serial number.","properties":{"articleSerialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Quantity."}}},"erp-product-ArticleSerialNumber":{"description":"Serial number.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Serial number 1.","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Serial number 2.","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Expiry date."},"ignoreExpiryDateOnStockBooking":{"type":"boolean","description":"Ignore expiry date on stock booking","readOnly":true},"note":{"type":"string","description":"Note."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"erp-fabrication-FabricationUsedComponent":{"description":"Installed components.","properties":{"documentLineComponentId":{"type":"integer","format":"int64","description":"Component identifier."},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Installed quantity."},"serialType":{"type":"string","description":"Article serial type.","enum":["NONE","SERIAL_NUMBER","LOT","BEST_BEFORE","DOUBLE_SERIAL_NUMBER"]}}}}}}
```

## POST /erp/fabrication/{fabricationOrderId}/revert-all

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Produktion","description":"Functions for processing fabrication documents."}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/fabrication/{fabricationOrderId}/revert-all":{"post":{"tags":["Produktion"],"operationId":"revertAll","parameters":[{"name":"fabricationOrderId","in":"path","description":"Fabrication document identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationRevertRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-document-Document"}}}}}}}},"components":{"schemas":{"erp-fabrication-FabricationRevertRequest":{"description":"Details for cancelling the fabrication of a line.","properties":{"documentLineId":{"type":"integer","format":"int64","description":"Identifier of the line to cancel."},"quantity":{"type":"number","description":"Quantity to cancel."},"autoRevertComponents":{"type":"boolean","default":true,"description":"Cancel the material automatically."},"serialNumbers":{"type":"array","description":"Serial numbers to cancel.","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationSerialNumber"}},"componentsToRevert":{"type":"array","description":"Material to cancel.","items":{"$ref":"#/components/schemas/erp-fabrication-FabricationComponentForProduction"}}},"required":["documentLineId","quantity"]},"erp-fabrication-FabricationSerialNumber":{"description":"Serial number to produce.","properties":{"quantity":{"type":"number","description":"Deviating quantity for lots."},"serialNumberId":{"type":"integer","format":"int64","description":"Identifier of the serial number to produce (only for the targeted production of serial numbers that are already defined)."},"serialNumber1":{"type":"string","description":"Serial number 1."},"serialNumber2":{"type":"string","description":"Serial number 2."},"expiryDate":{"type":"string","format":"date","description":"Best-before or expiry date."},"note":{"type":"string","description":"Note."}}},"erp-fabrication-FabricationComponentForProduction":{"description":"Material to use for the fabrication.","properties":{"serialNumberId":{"type":"integer","format":"int64","description":"Serial number to produce the component is used for."},"documentLineComponentId":{"type":"integer","format":"int64","description":"Component identifier."},"articleSerialNumberId":{"type":"integer","format":"int64","description":"Serial number identifier."},"quantity":{"type":"number","description":"Quantity to use."}},"required":["documentLineComponentId","quantity"]},"erp-document-Document":{"description":"document to update","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Document number.","maxLength":255,"minLength":0},"accountNumber":{"type":"string","description":"Account number of the associated organizational unit.","maxLength":255,"minLength":0,"readOnly":true},"customerNumber":{"type":"string","description":"Customer number.","maxLength":255,"minLength":0,"readOnly":true},"ourCustomerNumber":{"type":"string","description":"Customer number at the supplier.","maxLength":255,"minLength":0,"readOnly":true},"supplierNumber":{"type":"string","description":"Supplier number.","maxLength":255,"minLength":0,"readOnly":true},"salesAgentNumber":{"type":"string","description":"Sales agent number.","maxLength":255,"minLength":0,"readOnly":true},"externalIdentifier":{"type":"string","description":"External identifier.","maxLength":255,"minLength":0},"externalNumber":{"type":"string","description":"External document number.","maxLength":255,"minLength":0},"externalPaymentReference":{"type":"string","description":"Payment reference from an external system, e.g. the transaction id of the payment provider.","maxLength":255,"minLength":0},"published":{"type":"boolean","default":false,"description":"Is the document published (printed, sent by email)?","readOnly":true},"frozen":{"type":"boolean","default":false,"description":"Is the document frozen?","readOnly":true},"qualifier":{"type":"string","description":"Document qualifier.","enum":["SALE","PURCHASE","COMMISSION","SALES_CONTRACT","PURCHASE_CONTRACT","POINT_OF_SALE","FABRICATION","RMA"],"readOnly":true},"accountId":{"type":"string","description":"Organizational unit identifier."},"billingAccountRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"salesChannelRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"documentDate":{"type":"string","format":"date","description":"Document date."},"performanceDate":{"type":"string","format":"date","description":"Performance date."},"valueDate":{"type":"string","format":"date","description":"Value date."},"taxable":{"type":"boolean","default":true,"description":"Taxable or tax free."},"taxIdentificationNumber":{"type":"string","description":"VAT identification number.","maxLength":255,"minLength":0},"taxIdVerificationState":{"type":"string","description":"Validation status of the tax identification number.","enum":["NOT_YET_VERIFIED","VALID","VALID_WITH_INVALID_ADDRESS","INVALID","NOT_NEEDED"],"readOnly":true},"valitoolValidationState":{"type":"string","description":"Validation status for electronic invoices.","enum":["NOT_VALIDATED","VALID","NOT_VALID"],"readOnly":true},"billingType":{"type":"string","description":"Billing type.","enum":["GROSS","NET"]},"documentType":{"type":"string","description":"Document type (internal).","readOnly":true},"documentTypeId":{"type":"integer","format":"int64","description":"Document type identifier.","readOnly":true},"documentTypeCategory":{"type":"string","description":"Document categories.","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","CUSTOMER_RETURN_ANNOUNCEMENT","CUSTOMER_GOODS_RETURN","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_DEPOSIT_CANCELLATION","POS_CASH_JOURNAL_EXPENSE_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL_CANCELLATION","POS_CASH_JOURNAL_WITHDRAWAL","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"],"readOnly":true},"documentState":{"$ref":"#/components/schemas/erp-document-DocumentTypeState"},"cancellationReasonRef":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"},"currencyCode":{"type":"string","description":"Currency (ISO code, Alpha-3)."},"exchangeRate":{"type":"number","description":"Exchange rate."},"exchangeRateOrigin":{"type":"string","default":"AUTOMATIC","description":"Exchange rate determination origin.","enum":["AUTOMATIC","AUTOMATIC_FOR_CURRENT_DATE","USER_DEFINED"]},"responsibleUserRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"totalBeforeModifier":{"type":"number","description":"Total price before discount [gross, net].","readOnly":true},"totalPriceModifier":{"type":"number","description":"Total discount [gross, net].","readOnly":true},"totalLinePriceModifier":{"type":"number","description":"Total line discount [gross, net].","readOnly":true},"totalDocumentPriceModifier":{"type":"number","description":"Total document discount [gross, net].","readOnly":true},"totalNetPrice":{"type":"number","description":"Total price net.","readOnly":true},"totalVat":{"type":"number","description":"Total VAT.","readOnly":true},"totalGrossPrice":{"type":"number","description":"Total price gross.","readOnly":true},"roundingAmount":{"type":"number","description":"Final amount rounding: difference between the rounded gross amount and (net + VAT).","readOnly":true},"paymentTermRef":{"$ref":"#/components/schemas/erp-document-PaymentTermRef"},"paymentMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"depositPaymentAmount":{"type":"number","description":"Agreed deposit amount."},"depositPaymentDate":{"type":"string","format":"date","description":"Agreed deposit date.","readOnly":true},"deliveryTermRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryMethodRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"deliveryDate":{"type":"string","format":"date","description":"Expected delivery date."},"deliveryDateEnd":{"type":"string","format":"date","description":"Expected delivery end (only when the delivery date is set)."},"confirmedDeliveryDate":{"type":"string","format":"date","description":"Confirmed delivery date."},"confirmedDeliveryDateEnd":{"type":"string","format":"date","description":"Confirmed delivery end (only when the confirmed delivery date is set)."},"shippingDate":{"type":"string","format":"date","description":"Shipping date."},"deliveryQuantityPackages":{"type":"integer","format":"int32","description":"Expected number of parcels (information only)."},"deliveryText":{"type":"string","description":"Additional delivery text.","maxLength":255,"minLength":0},"deliveryApproved":{"type":"boolean","default":true,"description":"Is the document released for delivery?"},"dropShippingInvoiceApproved":{"type":"boolean","description":"Is the drop shipping document released for invoicing?","readOnly":true},"orderedOn":{"type":"string","format":"date","description":"Order date."},"orderedByPersonRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"orderedBy":{"type":"string","description":"Name of the ordering person.","maxLength":255,"minLength":0},"taxLiabilityReversed":{"type":"boolean","default":false,"description":"Is the reverse charge procedure under §13b UStG applied?"},"collectiveInvoice":{"type":"boolean","default":false,"description":"Is this a collective invoice?"},"texts":{"type":"array","description":"Document texts.","items":{"$ref":"#/components/schemas/erp-document-DocumentText"}},"lines":{"type":"array","description":"Document lines.","items":{"$ref":"#/components/schemas/erp-document-DocumentLine"}},"shippingCosts":{"type":"array","description":"Shipping cost lines.","items":{"$ref":"#/components/schemas/erp-document-DocumentShippingCost"}},"posPayments":{"type":"array","description":"POS payment lines.","items":{"$ref":"#/components/schemas/erp-document-DocumentPosPayment"}},"shippingCostSum":{"type":"number","description":"Total of the shipping costs (net and gross).","readOnly":true},"priceModifiers":{"type":"array","description":"Price changes (e.g. discounts).","items":{"$ref":"#/components/schemas/erp-document-DocumentPriceModifier"}},"taxes":{"type":"array","description":"Document tax summary.","items":{"$ref":"#/components/schemas/erp-document-DocumentTax"},"readOnly":true},"defaultAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"billingAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"deliveryAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"returnDeliveryAddress":{"$ref":"#/components/schemas/erp-document-DocumentAddress"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"stackProcessingType":{"type":"string","description":"Batch processing information for orders.","enum":["NO_PICKING","ACCORDING_TO_CRITERIA","ONLY_FULL_ORDER","ONLY_FULL_ORDER_LINES","AVAILABLE_QUANTITIES","NO_PROCESSING","FULL_ORDER_LINES_MAX_TWO_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_TWO_PARTIAL_DELIVERIES","FULL_ORDER_LINES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_MAX_THREE_PARTIAL_DELIVERIES","AVAILABLE_QUANTITIES_FINISH_ORDER"]},"stackProcessingPriority":{"type":"integer","format":"int32","description":"Priority in the batch processing."},"maxDeliveries":{"type":"integer","format":"int32","description":"Maximum possible deliveries."},"taxPerformanceLocation":{"type":"string","description":"Place of the taxable performance.","enum":["DOMESTIC","EUROPEAN_COMMUNITY","INTERNATIONAL"]},"mainSupplyType":{"type":"string","description":"Predominant supply of a sales document (goods or services). Empty for all other documents. Only taken over from the request if mainSupplyTypeOrigin is USER_DEFINED, then it is required.","enum":["GOODS","SERVICES"]},"mainSupplyTypeOrigin":{"type":"string","default":"AUTOMATIC","description":"Origin of the main supply type. AUTOMATIC determines it from the document lines, PREDECESSOR takes over the value set by the user in the predecessor of a credit note or cancellation, USER_DEFINED keeps the value set by the user.","enum":["AUTOMATIC","PREDECESSOR","USER_DEFINED"]},"performanceCountryCode":{"type":"string","description":"Country code of the performance country (ISO Alpha-3)."},"sourceCountryCode":{"type":"string","description":"Country code of the country of origin (ISO Alpha-3)."},"afterPickingTargetDocumentTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"grossWeight":{"type":"number","description":"Total gross weight."},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"userDefinedWeight":{"type":"boolean","default":false,"description":"The total weight was set manually."},"tags":{"type":"array","description":"Document tags.","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"reportGroupRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"defaultStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"locationRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"cashDiscountableTotalGrossPrice":{"type":"number","description":"Total gross amount eligible for the payment discount.","readOnly":true},"contractDetail":{"$ref":"#/components/schemas/erp-document-DocumentContractDetail"},"posDetail":{"$ref":"#/components/schemas/erp-document-DocumentPosDetail"},"fabricationDetail":{"$ref":"#/components/schemas/erp-fabrication-DocumentFabricationDetail"},"buyerReference":{"type":"string","description":"Leitweg-ID","maxLength":255,"minLength":0},"en16931Profile":{"type":"string","description":"EN16931 profile for electronic invoices.","enum":["ZUGFERD","XRECHNUNG","NO_EN_PROFILE"]},"importType":{"type":"string","description":"Document import mode.","enum":["NOT_IMPORTED","TRANSFERABLE","TRANSFERABLE_AND_EDITABLE","HISTORICAL_DATA","E_INVOICE","EXTERNALLY_CREATED"],"readOnly":true},"paymentPlan":{"type":"boolean","default":false,"description":"Is a payment plan present?"},"calculationMode":{"type":"string","description":"Calculation mode.","enum":["HORIZONTAL","VERTICAL"]},"processedByWorkflow":{"type":"boolean","description":"Is this processed by the workflow?","readOnly":true},"referencedOrderNumber":{"type":"string","description":"Order number from the predecessor document.","readOnly":true},"additionalInfo":{"$ref":"#/components/schemas/erp-document-DocumentAdditionalInfo"},"languageCode":{"type":"string","description":"Language."},"baseCurrencyCode":{"type":"string","description":"Document base currency."},"baseTotalNetPrice":{"type":"number","description":"Total price - net in base currency."},"baseTotalLinePriceModifier":{"type":"number","description":"Price adjustments - document line total, in base currency."},"baseTotalDocumentPriceModifier":{"type":"number","description":"Price adjustments - document, in base currency."},"baseTotalGrossPrice":{"type":"number","description":"Total price - gross in base currency."},"baseDepositPaymentAmount":{"type":"number","description":"Prepayment amount in base currency."},"baseCashDiscountableTotalGrossPrice":{"type":"number","description":"Invoice amount eligible for the payment discount in base currency."},"forwardEmailToShipper":{"type":"boolean","default":false,"description":"Pass the email to the shipper."},"forwardPhoneToShipper":{"type":"boolean","default":false,"description":"Pass the phone number to the shipper."},"posReceiptPaymentSum":{"type":"number","description":"Receipt: total payment amount."},"posReceiptBalance":{"type":"number","description":"Receipt: balance.\nA positive value is the amount still to be paid.\nA negative value is the overpaid amount or change.\n"},"posReceiptChangeAmount":{"type":"number","description":"Change."},"posReceiptBalanced":{"type":"boolean","default":false,"description":"Is the receipt balanced, i.e. paid with no change?\nTrue when the receipt is balanced.\n"},"posReceiptPayed":{"type":"boolean","default":false,"description":"Is the receipt paid?\nTrue when the receipt is paid.\n"},"dropShipping":{"type":"boolean","description":"Drop shipping.","readOnly":true},"totalGrossVolumeInCubicMeters":{"type":"number","description":"total gross Volume in cubic meters","readOnly":true}},"required":["accountId","billingType","calculationMode","currencyCode","defaultAddress","deliveryApproved","documentDate","number"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"
[...]
